package mulan;

import java.io.FileReader;

import mulan.classifier.MultiLabelOutput;
import mulan.classifier.transformation.LabelPowerset;
import mulan.data.MultiLabelInstances;
import weka.classifiers.trees.J48;
import weka.core.Instance;
import weka.core.Instances;
import weka.core.Utils;

public class MulanExp2 {

	public static void main(String[] args) throws Exception {
		String arffFilename = Utils.getOption("arff", args);
		String xmlFilename = Utils.getOption("xml", args);

		MultiLabelInstances dataset = new MultiLabelInstances(arffFilename, xmlFilename);

		LabelPowerset labelPowerset = new LabelPowerset(new J48());

		labelPowerset.build(dataset);

		String unlabeledFilename = Utils.getOption("unlabeled", args);
		FileReader reader = new FileReader(unlabeledFilename);
		Instances unlabeledData = new Instances(reader);

		int numInstances = unlabeledData.numInstances();

		for (int instanceIndex = 0; instanceIndex < numInstances; instanceIndex++) {
			Instance instance = unlabeledData.instance(instanceIndex);
			MultiLabelOutput output = labelPowerset.makePrediction(instance);
			// do necessary operations with provided prediction output, here just print it out
			System.out.println(output);
		}
	}
}